org.appng.appngizer.controller

## Class AppNGizerServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.springframework.web.servlet.HttpServletBean
      - - org.springframework.web.servlet.FrameworkServlet
        - - org.springframework.web.servlet.DispatcherServlet
          - - org.appng.appngizer.controller.AppNGizerServlet

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, org.apache.catalina.ContainerServlet, org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware, org.springframework.context.EnvironmentAware, org.springframework.core.env.EnvironmentCapable

      public class AppNGizerServlet
      extends org.springframework.web.servlet.DispatcherServlet
      implements org.apache.catalina.ContainerServlet

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HOST`

    - ### Fields inherited from class org.springframework.web.servlet.DispatcherServlet

      `EXCEPTION_ATTRIBUTE, FLASH_MAP_MANAGER_ATTRIBUTE, FLASH_MAP_MANAGER_BEAN_NAME, HANDLER_ADAPTER_BEAN_NAME, HANDLER_EXCEPTION_RESOLVER_BEAN_NAME, HANDLER_MAPPING_BEAN_NAME, INPUT_FLASH_MAP_ATTRIBUTE, LOCALE_RESOLVER_ATTRIBUTE, LOCALE_RESOLVER_BEAN_NAME, MULTIPART_RESOLVER_BEAN_NAME, OUTPUT_FLASH_MAP_ATTRIBUTE, PAGE_NOT_FOUND_LOG_CATEGORY, pageNotFoundLogger, REQUEST_TO_VIEW_NAME_TRANSLATOR_BEAN_NAME, THEME_RESOLVER_ATTRIBUTE, THEME_RESOLVER_BEAN_NAME, THEME_SOURCE_ATTRIBUTE, VIEW_RESOLVER_BEAN_NAME, WEB_APPLICATION_CONTEXT_ATTRIBUTE`

    - ### Fields inherited from class org.springframework.web.servlet.FrameworkServlet

      `DEFAULT_CONTEXT_CLASS, DEFAULT_NAMESPACE_SUFFIX, SERVLET_CONTEXT_PREFIX`

    - ### Fields inherited from class org.springframework.web.servlet.HttpServletBean

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppNGizerServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.catalina.Wrapper` | `getWrapper()`
    `void` | `setWrapper(org.apache.catalina.Wrapper wrapper)`

    - ### Methods inherited from class org.springframework.web.servlet.DispatcherServlet

      `buildLocaleContext, checkMultipart, cleanupMultipart, createDefaultStrategy, doDispatch, doService, getDefaultStrategies, getDefaultStrategy, getDefaultViewName, getHandler, getHandlerAdapter, getMultipartResolver, getThemeSource, initStrategies, noHandlerFound, onRefresh, processHandlerException, render, resolveViewName, setCleanupAfterInclude, setDetectAllHandlerAdapters, setDetectAllHandlerExceptionResolvers, setDetectAllHandlerMappings, setDetectAllViewResolvers, setThrowExceptionIfNoHandlerFound`

    - ### Methods inherited from class org.springframework.web.servlet.FrameworkServlet

      `applyInitializers, buildRequestAttributes, configureAndRefreshWebApplicationContext, createWebApplicationContext, createWebApplicationContext, destroy, doDelete, doGet, doOptions, doPost, doPut, doTrace, findWebApplicationContext, getContextAttribute, getContextClass, getContextConfigLocation, getContextId, getNamespace, getServletContextAttributeName, getUsernameForRequest, getWebApplicationContext, initFrameworkServlet, initServletBean, initWebApplicationContext, onApplicationEvent, postProcessWebApplicationContext, processRequest, refresh, service, setApplicationContext, setContextAttribute, setContextClass, setContextConfigLocation, setContextId, setContextInitializerClasses, setContextInitializers, setDispatchOptionsRequest, setDispatchTraceRequest, setNamespace, setPublishContext, setPublishEvents, setThreadContextInheritable`

    - ### Methods inherited from class org.springframework.web.servlet.HttpServletBean

      `addRequiredProperty, createEnvironment, getEnvironment, getServletContext, getServletName, init, initBeanWrapper, setEnvironment`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doHead, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletInfo, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HOST

          public static final String HOST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AppNGizerServlet

          public AppNGizerServlet()

  - ### Method Detail

    - #### getWrapper

          public org.apache.catalina.Wrapper getWrapper()

      Specified by:
        `getWrapper` in interface `org.apache.catalina.ContainerServlet`

    - #### setWrapper

          public void setWrapper(org.apache.catalina.Wrapper wrapper)

      Specified by:
        `setWrapper` in interface `org.apache.catalina.ContainerServlet`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.